#!/bin/sh -f
#$ -V
#$ -cwd
#$ -j y
#$ -pe mpi 4


# write ranks and slots
rank=0;
while read line; do
# map process ranks [12*k, 12*(k+1)-1] onto cluster node k (k from file "machines")
#for i in 0 1 2 3 4 5 6 7 8 9 10 11; do
# map process ranks [4*k, 4*(k+1)-1] onto cluster node k (k from file "machines")
for i in 0 1 2 3; do
echo "rank" $rank"="$line "slot="$i
let "rank += 1"
done
done < $TMPDIR/machines > $TMPDIR/rankfile
cat $TMPDIR/rankfile

mpirun --np 16 --hostfile $TMPDIR/machines --rankfile $TMPDIR/rankfile jacpar/main.GCC_
mpirun --np 16 --hostfile $TMPDIR/machines --rankfile $TMPDIR/rankfile first/main.GCC_
