#include "userset.h"
#include <cmath>

void SetU(const int nx, const int ny, double u[])
{ 
  int dx    = nx+1;
  for (int j=0; j<=ny; ++j)
  {
    int k = j*dx;
    for (int i=0; i<=nx; ++i, ++k)
        u[k] = 0.0;
  }
}

void SetF(const int nx, const int ny, double f[])
{ 
  int dx    = nx+1;
  for (int j=0; j<=ny; ++j)
  {
    int k = j*dx;
    for (int i=0; i<=nx; ++i, ++k)
       f[k] = 1.0;
  }
}


double FunctF(const double& x , const double& y )
{
// return  sin(3.14159*1*x)*sin(3.14159*1*y); 
// return 16.0*1024. ; 
  return x*x*std::sin(2.5*3.14159*y);
// return (double)1.0 ;
}

double FunctU(const double& /* x */, const double& /* y */)
{
  return 1.0 ;
}
