//	general header for all functions in directory

#ifndef HEADER_FILE
#define HEADER_FILE

//	----------	skalar.cpp	--------------
/*
	Compute scalar product of two vectors
	
	IN:	n	length of the vectors
		x,y 	vectors
	OUT:	scalar	scalar product
*/
/**
 * Computes the parallel scalar product of two double vectors. 
 * One vecctor has to be accumulated the other one has to be distributed.
 * @param[in] n		length of the vectors
 * @param[in] x		vector
 * @param[in] y		vector
 * @see VecAccu
*/
// double skalar(const int n, const double x[], const double y[], const MPI::Intracomm& icomm);




#endif
