#ifndef FILE_MYLIB
#define FILE_MYLIB

/** 	Performs dense matrix-vector product b := A*x
	@param b	resulting vector of dimension N
	@param A	NxM matrix
	@param M	#rows
	@param N	#columns
	@param x	vector to multiply with
*/
void matmul(double b[], const double A[], const unsigned int M,
	    const unsigned int N, const double x[]);

void matmul_blas(double b[], const double A[], const unsigned int M,
	    const unsigned int N, const double x[]);



#endif
