#ifndef FILE_MYLIB
#define FILE_MYLIB

#include <mpi.h>

/** 	Parameter constructor
	@param[in] N	number of vector elements
	@param[in] x	vector
	@param[in] y	vector
	@return 	resulting Euclidian inner product <x,y>
*/
double scalar(const unsigned int N, const double x[], const double y[]);



/** 	Parameter constructor
	@param[in] N	number of vector elements
	@param[in] x	vector
	@param[in] y	vector
	@return 	resulting Euclidian inner product <x,y>
*/
double par_scalar(const unsigned int N, const double x[], const double y[], const MPI::Intracomm& icomm);


#endif
