/*
	Compute scalar product of two vectors

	IN:	n	length of the vectors
		x,y 	vectors
	OUT:	scalar	scalar product
*/
#include <mpi.h>
#include "vdop.h"

float skalar(const int n, const float x[], const float y[], const MPI_Comm icomm)
{
  const float s = dscapr(n,x,y);                // call sequential inner product
        float sg;
  //icomm.Allreduce(&s,&sg,1,MPI::FLOAT,MPI::SUM);
  MPI_Allreduce(&s, &sg, 1, MPI_FLOAT, MPI_SUM, icomm);


  return(sg);
}



