#ifndef FILE_MYLIB
#define FILE_MYLIB

/** 	Performs dense matrix-matrix product C    = A    * B
                                              MxN    MxL    LXN
	matrices are rowise stored
*/
void matmat(const unsigned int M, const unsigned int N, const unsigned int L,
            double C[], const double A[], const double B[]);

void matmat_2(const unsigned int M, const unsigned int N, const unsigned int L,
            double C[], const double A[], const double B[]);

void matmat_3(const unsigned int M, const unsigned int N, const unsigned int L,
            double C[], const double A[], const double B[]);


void matmat_blas(const int M, const int N, const int L,
            double C[], const double A[], const double B[]);

#endif
