//    template
#include <cmath>
using namespace std;

#ifdef __INTEL_COMPILER
  #pragma message(" ##########  Use of MKL  ###############")
  #include <mkl.h>
              // MKL
#else
  #pragma message(" ##########  Use of CBLAS  ###############")
extern "C"
{
  #include <cblas.h>               // cBLAS Library
}
#endif

#include "mylib.h"



double scalar(const unsigned int N, const double x[], const double y[])
{
 double sum = 0.0;
 for (unsigned int i=0; i<N; ++i)
 {
    sum += x[i]*y[i];
 }
 return sum;
}



